Commit d88f9ed2 authored by RiotRobot's avatar RiotRobot

Merge branch 'master' into develop

parents 48c8f16a 6e68c106
Changes in [1.5.12](https://github.com/vector-im/riot-web/releases/tag/v1.5.12) (2020-03-04)
============================================================================================
[Full Changelog](https://github.com/vector-im/riot-web/compare/v1.5.11...v1.5.12)
* Upgrade to React SDK 2.2.1
* Revert to Electron 7.1.12 to fix Arch Linux tray icon
* Fix image download links so they open in a new tab
Changes in [1.5.11](https://github.com/vector-im/riot-web/releases/tag/v1.5.11) (2020-03-02)
============================================================================================
[Full Changelog](https://github.com/vector-im/riot-web/compare/v1.5.11-rc.1...v1.5.11)
......
......@@ -2,7 +2,7 @@
"name": "riot-web",
"productName": "Riot",
"main": "src/electron-main.js",
"version": "1.5.11",
"version": "1.5.12",
"description": "A feature-rich client for Matrix.org",
"author": "New Vector Ltd.",
"dependencies": {
......
......@@ -2,7 +2,7 @@
"name": "riot-web",
"productName": "Riot",
"main": "electron_app/src/electron-main.js",
"version": "1.5.11",
"version": "1.5.12",
"description": "A feature-rich client for Matrix.org",
"author": "New Vector Ltd.",
"repository": {
......@@ -66,8 +66,8 @@
"gemini-scrollbar": "github:matrix-org/gemini-scrollbar#91e1e566",
"gfm.css": "^1.1.2",
"highlight.js": "^9.13.1",
"matrix-js-sdk": "github:matrix-org/matrix-js-sdk#develop",
"matrix-react-sdk": "github:matrix-org/matrix-react-sdk#develop",
"matrix-js-sdk": "5.1.0",
"matrix-react-sdk": "2.2.1",
"olm": "https://packages.matrix.org/npm/olm/olm-3.1.4.tgz",
"postcss-easings": "^2.0.0",
"prop-types": "^15.7.2",
......@@ -153,7 +153,7 @@
},
"build": {
"appId": "im.riot.app",
"electronVersion": "8.0.2",
"electronVersion": "7.1.12",
"files": [
"node_modules/**",
"src/**"
......
......@@ -20,6 +20,7 @@ cd `dirname $0`
for i in matrix-js-sdk matrix-react-sdk
do
echo "Checking version of $i..."
depver=`cat package.json | jq -r .dependencies[\"$i\"]`
latestver=`yarn info -s $i dist-tags.next`
if [ "$depver" != "$latestver" ]
......
......@@ -7519,9 +7519,10 @@ matrix-mock-request@^1.2.3:
bluebird "^3.5.0"
expect "^1.20.2"
"matrix-react-sdk@github:matrix-org/matrix-react-sdk#develop":
version "2.2.0"
resolved "https://codeload.github.com/matrix-org/matrix-react-sdk/tar.gz/00dc187f7165a0659ce1ae5bbd3fd491ba5650db"
matrix-react-sdk@2.2.1:
version "2.2.1"
resolved "https://registry.yarnpkg.com/matrix-react-sdk/-/matrix-react-sdk-2.2.1.tgz#1f443d35bdcc46c7ef3dc3066adda59f7f43b348"
integrity sha512-zIgf/i9z2x+KHf0caQtFVc3JEFiIFd9MH36XnqXaPYyRSuS0zWRLY/tFTR51pMblMIb3DskTYlf9q7JLDAP/+A==
dependencies:
"@babel/runtime" "^7.8.3"
blueimp-canvas-to-blob "^3.5.0"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment